Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.engine
Class DependencyManager

    java.lang.Object
      org.apache.axis2.engine.DependencyManager

    public class DependencyManager

extends java.lang.Object

If the service implementation has an init method with 1 or 2 message context as its parameters, then the DependencyManager calls the init method with appropriate parameters.

Field Summary
`static java.lang.String` | `SERVICE_DESTROY_METHOD`
`static java.lang.String` | `SERVICE_INIT_METHOD`

Constructor Summary
`DependencyManager()`

Method Summary
`static void` | `destroyServiceObject(ServiceContext serviceContext)` Notify a service object that it's on death row.
`static void` | `initService(ServiceGroupContext serviceGroupContext)` To init all the services in application scope
`static void` | `initServiceClass(java.lang.Object obj, ServiceContext serviceContext)` Deprecated. please use initServiceObject()
`static void` | `initServiceObject(java.lang.Object obj, ServiceContext serviceContext)` Initialize a new service object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVICE_INIT_METHOD

    public static final java.lang.String SERVICE_INIT_METHOD

See Also:
  Constant Field Values

### SERVICE_DESTROY_METHOD

    public static final java.lang.String SERVICE_DESTROY_METHOD

See Also:
  Constant Field Values

Constructor Detail

### DependencyManager

    public DependencyManager()

Method Detail

### initServiceClass

    public static void initServiceClass(java.lang.Object obj,
                                        ServiceContext serviceContext)
                                 throws AxisFault

  Deprecated. please use initServiceObject()

  Initialize a new service object. Essentially, check to see if the object wants to receive an init() call - if so, call it.

  Parameters:
    `obj` - the service object
    `serviceContext` - the active ServiceContext
  Throws:
    `AxisFault` - if there's a problem initializing

### initServiceObject

    public static void initServiceObject(java.lang.Object obj,
                                         ServiceContext serviceContext)
                                  throws AxisFault

  Initialize a new service object. Essentially, check to see if the object wants to receive an init() call - if so, call it.

  Parameters:
    `obj` - the service object
    `serviceContext` - the active ServiceContext
  Throws:
    `AxisFault` - if there's a problem initializing

### initService

    public static void initService(ServiceGroupContext serviceGroupContext)
                            throws AxisFault

  To init all the services in application scope

  Parameters:
    `serviceGroupContext` - the ServiceGroupContext from which to extract all the services
  Throws:
    `AxisFault` - if there's a problem initializing

### destroyServiceObject

    public static void destroyServiceObject(ServiceContext serviceContext)

  Notify a service object that it's on death row.

  Parameters:
    `serviceContext` - the active ServiceContext

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.